Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xml.utils
Interface DOMOrder

Deprecated. Since the introduction of the DTM, this class will be removed. Nodes that implement this index can return a document order index. Eventually, this will be replaced by DOM 3 methods. (compareDocumentOrder and/or compareTreePosition.)

public interface DOMOrder

Method Summary
`int` | `getUid()` Deprecated. Get the UID (document order index).

Method Detail

### getUid

    public int getUid()

  Deprecated.
  Get the UID (document order index).
  Returns:
    integer whose relative value corresponds to document order -- that is, if node1.getUid()

  Overview | Package | Class | Use | Tree | Deprecated | Index | Help
  PREV CLASS NEXT CLASS | FRAMES NO FRAMES
  SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

  Copyright © 2006 Apache XML Project. All Rights Reserved.